# Generated from poltergeist-cj-1.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name poltergeist-cj

Name: rubygem-%{gem_name}
Version: 1.5.2
Release: 1%{?dist}
Summary: PhantomJS driver for Capybara
License: MIT
URL: http://github.com/teampoltergeist/poltergeist
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(launchy) >= 2.0
# BuildRequires: rubygem(launchy) < 3
# BuildRequires: rubygem(rspec) >= 2.12
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(sinatra) >= 1.0
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(image_size) >= 1.0
# BuildRequires: rubygem(image_size) < 2
# BuildRequires: rubygem(pdf-reader) >= 1.3.3
# BuildRequires: rubygem(pdf-reader) < 1.4
# BuildRequires: rubygem(coffee-script) >= 2.2.0
# BuildRequires: rubygem(coffee-script) < 2.3
# BuildRequires: rubygem(guard-coffeescript) >= 1.0.0
# BuildRequires: rubygem(guard-coffeescript) < 1.1
# BuildRequires: rubygem(rspec-rerun) >= 0.1
# BuildRequires: rubygem(rspec-rerun) < 1
BuildArch: noarch

%description
Poltergeist is a driver for Capybara that allows you to run your tests on a
headless WebKit browser, provided by PhantomJS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Apr 19 2022 mockbuilder - 1.5.2-1
- Initial package
